<?php

require_once 'lib/vod/movie.php';

class SundukMovieSeries extends MovieSeries {

    public $id;

    public function __construct($id) {
        parent::__construct($id);
        $this->formates = array();
    }

    public $name = '';
    public $playback_url = '';
    public $playback_url_original;
    public $playback_url_is_stream_url = true;
    public $viewed = 0;
    public $formates;

}

class SundukMovie extends Movie {

    public $loaded;

    public function __construct($id) {
        parent::__construct($id);
        $this->loaded = time();
    }
    public function add_series_data($id, $name, $playback_url, $playback_url_is_stream_url, $format, $viewed = 0) {
        $series = new SundukMovieSeries($id);

        $series->name = (string) $name;

        $this->series_list[] = $series;

        $series->formates = explode(',', str_replace(', ', ',', $format));
        $series->playback_url_original = (string) $playback_url;
        $series->playback_url = $series->playback_url_original . '&format=' . $series->formates[0];
        $series->playback_url_is_stream_url = $playback_url_is_stream_url === true;
        $series->viewed = $viewed;
    }

}
class SundukShortMovie extends ShortMovie{

    public $viewed = 0;
    public function __construct($id, $name, $poster_url, $viewed = 0) {
        parent::__construct($id, $name, $poster_url);
        $this->viewed     = $viewed;
    }

}
